EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [opcións] ficheiro_entrada [ficheiro_saída]

Pulir libros consiste en poñerlle o brillo da perfección os teus libros electrónicos coidadosamente elaborados.

Pulido tenta minimizar os cambios no código interno do teu libro electrónico. A diferenza da conversión, non aplana CSS, renomea ficheiros, cambia o tipo de letra tamaños, axustar as marxes, etc. Cada acción realiza só o conxunto mínimo de cambios necesarios para o efecto desexado.

Deberías usar esta ferramenta como último paso no proceso de creación do teu libro electrónico.

Teña en conta que o pulido só funciona nos ficheiros AZW3 ou EPUB ou KEPUBdos formatos.

Sempre que lle pases argumentos a ebook-polish que teñan espazos neles, pon os argumentos entre comiñas. Por exemplo: «/some path/with spaces»

[OPCIÓNS]

    --add-soft-hyphens, -H
        Engade guións suaves a todas as palabras do libro. Isto permite renderizar o libro mellor cando o texto está xustificado, en lectores que non admiten a guionización.

    --compress-images, -i
        Comprimir sen perdas as imaxes do libro para reducir o tamaño dos ficheiros afectando a calidade da imaxe.

    --cover, -c
        Camiño a unha imaxe de portada. Cambia a portada especificada no libro electrónico. Se non hai tapa ou a tapa non está correctamente identificada, insire unha nova tapa.

    --download-external-resources, -d
        Descarga recursos externos como imaxes, follas de estilo, etc. que apunten a URL en lugar de ficheiros do libro. Todos estes recursos descargaranse e engadiranse ao libro para que o libro xa non faga referencia a ningún recurso externo.

    --embed-fonts, -e
        Incrustar todas as fontes ás que se fai referencia no documento e que aínda non estean incrustadas. Isto escaneará o teu ordenador para buscar os tipos de letra e, se se atopan, serán incrustado no documento. Asegúrese de ter a licenza adecuada para incorporar os tipos de letra utilizados neste documento.

    --help, -h
        mostrar esta mensaxe de axuda e saír

    --jacket, -j
        Insira unha páxina «sobrecuberta do libro» ao comezo do libro que contén todos os metadatos do libro, como título, etiquetas, autores, series, comentarios, etc. Substituirase calquera sobrecuberta de libro anterior.

    --opf, -o
        Ruta a un ficheiro OPF. Os metadatos do libro actualízanse a partir do ficheiro OPF.

    --remove-jacket
        Elimina unha páxina anterior de sobrecuberta de libro inserida.

    --remove-soft-hyphens
        Elimina os guións suaves de todo o texto do libro.

    --remove-unused-css, -u
        Elimina todas as regras CSS non utilizadas das follas de estilo e do <style> etiquetas. Algúns libros creados a partir de modelos de produción poden ter un gran número de regras CSS adicionais que non coinciden con ningún contido real. Estas regras adicionais poden retardar os lectores que precisan analizalos todos.

    --smarten-punctuation, -p
        Converte guións de texto simple, puntos suspensivos, comiñas, guións múltiples, etc equivalentes tipograficamente correctos. Teña en conta que o algoritmo ás veces pode xerar resultados incorrectos, especialmente cando interveñen comiñas simples ao comezo das contraccións.

    --subset-fonts, -f
        Subconfigurar fontes significa reducir unha fonte incrustada para que contén só os caracteres usados ​​desa fonte no libro. Isto reduce moito o tamaño dos ficheiros de fonte (reducindo o tipo de letra á metade tamaños de ficheiros é común). Por exemplo, se o libro usa unha fonte específica para as cabeceiras, entón o subconxunto reducirá ese tipo de letra para conter só o personaxes presentes nas cabeceiras reais do libro. Ou se o book incorpora as versións en negra e cursiva dunha fonte, pero en negra e o texto en cursiva é relativamente raro, ou está completamente ausente, entón as fontes en negra e cursiva poden reducirse a só unhas poucas caracteres ou completamente eliminado. O único inconveniente de subconfigurar fontes é que se, máis tarde data na que decides engadir máis texto aos teus libros, o recén engadido É posible que o texto non estea cuberto pola fonte do subconxunto.

    --upgrade-book, -U
        Actualiza as estruturas internas do libro, se é posible. Por exemplo, actualiza os libros de EPUB 2 a EPUB 3.

    --verbose
        Produce unha saída máis detallada, útil para a depuración.

    --version
        mostrar o número de versión do programa e saír

Author
Kovid Goyal

Copyright
Kovid Goyal